from django.conf import settings
from django.db import models
from django.utils.safestring import mark_safe


class Photo(models.Model):
    photo = models.ImageField(upload_to="photos")
    added_on = models.DateTimeField(auto_now_add=True)

    def get_absolute_url(self):
        from django.urls import reverse
        return "{}{}".format(settings.BASE_URL, reverse("show", kwargs={'pk': self.id}))

    def image_tag(self):
        return mark_safe('<img src="{}" />'.format(self.get_absolute_url()))

    image_tag.short_description = 'Image'
